
Redmine - Patch #2013

Skip notification of issue's updating.

2008-10-09 07:32 - Yuki Shida

Status: New Start date: 2008-10-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Description

This patch add checkbox into issue's edit form.

[]  skip notification

 If you update issue with checking this checkbox,

notification is skipped.

History

#1 - 2008-10-10 02:21 - Eric Davis

- Status changed from Resolved to 7

- Assignee set to Eric Davis

- % Done changed from 100 to 0

I'll take this, I've already implemented this exact feature a few months back for a customer :)

#2 - 2009-06-02 13:06 - Chris Platts

Hi,

We'd been using this patch for quite a while and found it very handy indeed.  However, since the email notification refactoring, this patch hasn't

worked.

As I understand it, mail sending is now triggered by observers... is it possible to implement this function within those?  Does the skip_notify parameter

find its way to the observer for it to check?

Cheers,

Chris

#3 - 2009-09-09 11:16 - Chris Platts

Hi Eric,

Is there a trunk-compatible version of this patch floating about somewhere?  It'd be nice to have this feature back :)

Thanks,

Chris

#4 - 2009-12-24 05:47 - Shane Pearlman

Hey Eric,

Why don't we put this in the core when you have a chance. We'll cover your time to donate it back to the community along with the other features you

built for us that we are submitting.

#5 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#6 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.
